OysterDirectory (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.service
Class OysterDirectory

    java.lang.Object
      fr.inrialpes.exmo.align.service.OysterDirectory

All Implemented Interfaces:
  Directory

    public class OysterDirectory

extends Object
implements Directory

Field Summary
`private org.neon_toolkit.registry.api.Oyster2Connection` | `oyster2Conn`

Constructor Summary
`OysterDirectory()`

Method Summary
`void` | `close()` Shutdown the connection and/or registration to the directory
`void` | `getAlignmentReferences(Ontology o1, Ontology o2)`
`void` | `open(Properties p)` Create a connection and/or registration to a directory Parameters can contain, e.g.: - the directory address - the declaration of the current service
`void` | `register(Alignment al)` Register an alignment to the directory (if necessary)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### oyster2Conn

    private org.neon_toolkit.registry.api.Oyster2Connection oyster2Conn

Constructor Detail

### OysterDirectory

    public OysterDirectory()

Method Detail

### open

    public void open(Properties p)
              throws AServException

  Create a connection and/or registration to a directory Parameters can contain, e.g.: - the directory address - the declaration of the current service

  Specified by:
    `open` in interface `Directory`
  Throws:
    `AServException`

### register

    public void register(Alignment al)
                  throws AServException

  Register an alignment to the directory (if necessary)

  Specified by:
    `register` in interface `Directory`
  Throws:
    `AServException`

### getAlignmentReferences

    public void getAlignmentReferences(Ontology o1,
                                       Ontology o2)

### close

    public void close()
               throws AServException

  Shutdown the connection and/or registration to the directory

  Specified by:
    `close` in interface `Directory`
  Throws:
    `AServException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010